#!/bin/sh
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-

PREFIX=/usr/local
ROLE=base

cd $PREFIX/bin

PYMAJOR=2
if [ -f python${PYMAJOR}.bash -o ! -f python${PYMAJOR}.sh ] ; then
    if [ ! -f $PREFIX/bin/python${PYMAJOR}.sh ] ; then
	cat > $PREFIX/bin/python${PYMAJOR}.sh << \EOF
#!/bin/sh
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-

if [ -f /usr/local/etc/testforge/testforge.bash ] ; then
    eval `grep BASE_PYTHON2_MINOR /usr/local/etc/testforge/testforge.bash`
    PYTHON_MINOR=$BASE_PYTHON2_MINOR
    eval `grep ^LIB /usr/local/etc/testforge/testforge.bash`
 else
    PYTHON_MINOR=`python2 --version 2>&1| sed -e 's@^.* @@' -e 's@\.[0-9]*$@@'`
  fi

LIB=lib64
if [ -z "$PYTHONPATH" ] ; then
    # sic - failsafe
    export PYTHONPATH=/usr/lib/python$PYTHON_MINOR/site-packages
fi

if [ -d /usr/$LIB/python$PYTHON_MINOR/site-packages/llvmlite/binding ] ; then
if [ -z "$LD_LIBRARY_PATH" ] ; then
    export LD_LIBRARY_PATH=/usr/$LIB/python$PYTHON_MINOR/site-packages/llvmlite/binding
else
    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/$LIB/python$PYTHON_MINOR/site-packages/llvmlite/binding
fi
fi

# do I want $HOME/.local on the path? - no
for elt in usr/local ; do
    [ -d /$elt ] || continue
    [ -d /$elt/bin ] && \
      export PATH=$PATH:/$elt/bin
    [ -e /$elt/$LIB ] || continue
      export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/$elt/$LIB
    [ -d /$elt/$LIB/python$PYTHON_MINOR/site-packages ] || \
      mkdir /$elt/$LIB/python$PYTHON_MINOR/site-packages
    export PYTHONPATH=$PYTHONPATH:/$elt/$LIB/python$PYTHON_MINOR/site-packages
    [ ! -f /$elt/$LIB/python$PYTHON_MINOR/site-packages/__init__.py ] && \
      touch /$elt/$LIB/python$PYTHON_MINOR/site-packages/__init__.py
  done

exec /usr/bin/python$PYTHON_MINOR -W ignore::DeprecationWarning -W ignore:DEPRECATION  "$@"
EOF
    chmod 775 $PREFIX/bin/python${PYMAJOR}.sh
    [ -f python${PYMAJOR}.bash ] && rm -f python${PYMAJOR}.bash
fi
fi

PYMAJOR=3
if [ -f python${PYMAJOR}.bash -o ! -f python${PYMAJOR}.sh ] ; then
    # FixMe: .sh these too? YES but one at a time
    if [ ! -f $PREFIX/bin/pip${PYMAJOR}.sh ] ; then
	cat > $PREFIX/bin/pip${PYMAJOR}.sh << \EOF
#!/bin/sh
# -*-mode: sh; tab-width: 8; coding: utf-8-unix -*-

if [ -f /usr/local/etc/testforge/testforge.bash ] ; then
    eval `grep BASE_PYTHON3_MINOR /usr/local/etc/testforge/testforge.bash`
    PYTHON_MINOR=$BASE_PYTHON3_MINOR
 else
    PYTHON_MINOR=`python3 --version 2>&1| sed -e 's@^.* @@' -e 's@\.[0-9]*$@@'`
  fi

LIB=lib64

if [ -z "$PYTHONPATH" ] ; then
    # sic - failsafe
    export PYTHONPATH=/usr/lib/python$PYTHON_MINOR/site-packages
fi

if [ -d /usr/$LIB/python$PYTHON_MINOR/site-packages/llvmlite/binding ] ; then
if [ -z "$LD_LIBRARY_PATH" ] ; then
    export LD_LIBRARY_PATH=/usr/$LIB/python$PYTHON_MINOR/site-packages/llvmlite/binding
else
    export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/$LIB/python$PYTHON_MINOR/site-packages/llvmlite/binding
fi
fi

# do I want $HOME/.local on the path? - no
for elt in usr/local ; do
    [ -d /$elt ] || continue
    [ -d /$elt/bin ] && \
      export PATH=$PATH:/$elt/bin
    [ -e /$elt/$LIB ] || continue
      export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/$elt/$LIB
    [ -d /$elt/$LIB/python$PYTHON_MINOR/site-packages ] && \
      export PYTHONPATH=$PYTHONPATH:/$elt/$LIB/python$PYTHON_MINOR/site-packages
    [ -d /$elt/$LIB/python$PYTHON_MINOR/site-packages ] && \
      [ ! -f /$elt/$LIB/python$PYTHON_MINOR/site-packages/__init__.py ] && \
      touch /$elt/$LIB/python$PYTHON_MINOR/site-packages/__init__.py
  done

exec /usr/bin/python$PYTHON_MINOR -W ignore::DeprecationWarning -W ignore:DEPRECATION  "$@"
EOF
    chmod 755 $PREFIX/bin/python${PYMAJOR}.sh
    [ -f python${PYMAJOR}.bash ] && rm -f python${PYMAJOR}.bash 
fi
fi
